%define upstream_name	rosegarden
%define upstream_version 10.02
%define svn	10693
%define rel	0.%upstream_version.%svn.3

Name: rosegarden4
Version: 1.9
Release: %mkrel %rel
Summary: Midi, audio and notation editor
URL: http://www.rosegardenmusic.com/
Source0: %{upstream_name}-svn%{svn}.tar.bz2
Patch0:  %{upstream_name}-1.9-fix-str-fmt.patch
Patch1:  %{upstream_name}-1.9-fix-include.patch
Patch2:  %{upstream_name}-1.9-fix-search-path.patch
License: GPLv2+
Group: Sound
BuildRequires: kdelibs4-devel
BuildRequires: jackit-devel
BuildRequires: ladspa-devel
BuildRequires: liblrdf-devel
BuildRequires: imagemagick
BuildRequires: chrpath
BuildRequires: libxml2-utils
BuildRequires: dssi-devel
BuildRequires: makedepend
BuildRequires: fftw3-devel
BuildRequires: python
BuildRequires: liblo-devel
BuildRequires: libxft-devel
BuildRequires: alsa-lib-devel
BuildRequires: liblirc-devel
Requires: flac
Requires: libsndfile-progs
# For sndfile-resample, see https://bugzilla.novell.com/show_bug.cgi?id=443543
# - AdamW 2008/12
Requires: libsamplerate-progs
Requires: xterm
Suggests: lilypond
BuildRoot: 	%{_tmppath}/%{name}-buildroot

%description
Rosegarden is an attractive, user-friendly MIDI and audio sequencer,
notation editor, and general-purpose music composition and editing
application for Unix and Linux

%files -n %name -f %{name}.lang
%defattr(-,root,root)
%_bindir/%{upstream_name}
%_bindir/%{upstream_name}-audiofile-importer
%_datadir/applications/%{upstream_name}.desktop
%_datadir/icons/*/*/*/*%{upstream_name}*
%_datadir/mime/*

#--------------------------------------------------------------------

%prep
%setup -q -n %{upstream_name}
%patch0 -p0
%patch1 -p0
%patch2 -p0

%build
#generate configure
sh bootstrap.sh
export QTLIBDIR=%{_libdir}
%configure2_5x
%make

%install
rm -fr %buildroot
%makeinstall_std
%find_lang %{name} --with-html

%clean
rm -rf %buildroot


%changelog
* Tue Aug 18 2009 Nicolas Lécureuil <neoclust@mandriva.org> 1.9-0.10.02.10693.3mdv2010.0
+ Revision: 417526
- Fix more path
- Fix search pach

* Sun Aug 16 2009 Nicolas Lécureuil <neoclust@mandriva.org> 1.9-0.10.02.10693.1mdv2010.0
+ Revision: 416851
- Fix build on x86_64
- New snapshot

  + Rémy Clouard <shikamaru@mandriva.org>
    - fix obsoletes

* Tue Jun 09 2009 Nicolas Lécureuil <neoclust@mandriva.org> 1.9-0.09.10.10351.1mdv2010.0
+ Revision: 384349
- Use Qt4/Kde4 layout

  + Rémy Clouard <shikamaru@mandriva.org>
    - fix buildrequires
    - remove unneeded %%post and %%postun sections
    - import rosegarden4


